VST 3 SDK: Bus Class Reference
Author: Steinberg

VST 3 SDK VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Bus Class Reference
VST Implementation Helper Classes

Basic Bus object. More...

`#include <vstbus.h>`

Inheritance diagram for Bus:

## Public Member Functions
| Bus (const TChar *name, BusType busType, int32 flags)
| Constructor.
TBool | isActive () const
| Returns true if the bus is active.
void | setActive (TBool state)
| Activates the bus.
void | setName (const std::u16string &newName)
| Sets a new name for this bus.
void | setBusType (BusType newBusType)
| Sets a new busType for this bus.
void | setFlags (uint32 newFlags)
| Sets a new flags for this bus.
virtual bool | getInfo (BusInfo &)
| Gets the BusInfo of this bus.

## Public Attributes
OBJ_METHODS(Vst::Bus, FObject) protected BusType | busType
| < name
int32 | flags
| flags, see BusFlags
TBool | active
| activation state

## Detailed Description

Basic Bus object.

## Constructor & Destructor Documentation

## ◆ Bus()

Bus | ( | const TChar * | name,
|  | BusType | busType,
|  | int32 | flags )

Constructor.

## Member Function Documentation

## ◆ isActive()

TBool isActive | ( |  | ) | const
| inline

Returns true if the bus is active.

## ◆ setActive()

void setActive | ( | TBool | state | ) |
| inline

Activates the bus.

## ◆ setName()

void setName | ( | const std::u16string & | newName | ) |
| inline

Sets a new name for this bus.

## ◆ setBusType()

void setBusType | ( | BusType | newBusType | ) |
| inline

Sets a new busType for this bus.

## ◆ setFlags()

void setFlags | ( | uint32 | newFlags | ) |
| inline

Sets a new flags for this bus.

## ◆ getInfo()

bool getInfo | ( | BusInfo & | info | ) |
| virtual

Gets the BusInfo of this bus.

Reimplemented in AudioBus, and EventBus.

## Member Data Documentation

## ◆ busType

OBJ_METHODS (Vst::Bus, FObject) protected BusType busType

< name

kMain or kAux, see BusTypes

## ◆ flags

int32 flags

flags, see BusFlags

## ◆ active

TBool active

activation state

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.